GNU bug report logs - #6207
23.1; align.el vhdl rules setup

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Kevin Ryde <user42@HIDDEN>; dated Tue, 18 May 2010 00:56:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 6207 <at> debbugs.gnu.org:


Received: (at 6207) by debbugs.gnu.org; 8 Jun 2010 14:10:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 10:10:02 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OLzVB-0004bL-Mk
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2010 10:10:02 -0400
Received: from alvesta.synopsys.com ([198.182.60.77])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <reto@HIDDEN>) id 1OLyho-0004F4-8M
	for 6207 <at> debbugs.gnu.org; Tue, 08 Jun 2010 09:19:01 -0400
Received: from crone.synopsys.com (crone.synopsys.com [146.225.7.23])
	by alvesta.synopsys.com (Postfix) with ESMTP id EB8A616BB77;
	Tue,  8 Jun 2010 06:18:54 -0700 (PDT)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	by crone.synopsys.com (8.9.1/8.9.1) with ESMTP id GAA06786;
	Tue, 8 Jun 2010 06:18:53 -0700 (PDT)
Message-ID: <4C0E4336.2050108@HIDDEN>
Date: Tue, 08 Jun 2010 15:18:46 +0200
From: Reto Zimmermann <reto@HIDDEN>
User-Agent: Thunderbird 2.0.0.24 (Windows/20100228)
MIME-Version: 1.0
To: Kevin Ryde <user42@HIDDEN>
Subject: Re: bug#6207: 23.1; align.el vhdl rules setup
References: <871vdayqp6.fsf@HIDDEN>
	<jwvmxvwsgz4.fsf-monnier+emacs@HIDDEN>	<4C0505F3.3000304@HIDDEN>
	<87mxv6i91t.fsf@HIDDEN>
In-Reply-To: <87mxv6i91t.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 6207
X-Mailman-Approved-At: Tue, 08 Jun 2010 10:10:00 -0400
Cc: "6207 <at> debbugs.gnu.org" <6207 <at> debbugs.gnu.org>, John Wiegley <johnw@HIDDEN>,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

Kevin Ryde wrote:
> Reto Zimmermann <reto@HIDDEN> writes:
>> So the settings in align.el are obsolete and could be removed.
> 
> The mechanisms in align.el seem a bit more general.
> Should vhdl be using it perhaps with updates to the rules list?

The alignment code in vhdl-mode is customized and fine-tuned for VHDL in a a way that I think cannot be implemented with the more general align.el.






Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6207; Package emacs. Full text available.

Message received at 6207 <at> debbugs.gnu.org:


Received: (at 6207) by debbugs.gnu.org; 8 Jun 2010 01:54:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 07 21:54:00 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OLo0t-0007Tj-Rk
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2010 21:54:00 -0400
Received: from mailout2-15.pacific.net.au ([125.255.80.142]
	helo=mailout2.pacific.net.au)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gg@HIDDEN>) id 1OLo0r-0007Tc-Rj
	for 6207 <at> debbugs.gnu.org; Mon, 07 Jun 2010 21:53:58 -0400
Received: from mailproxy2.pacific.net.au (mailproxy2.pacific.net.au
	[61.8.2.163])
	by mailout2.pacific.net.au (Postfix) with ESMTP id A2DC91ED8CD;
	Tue,  8 Jun 2010 11:53:52 +1000 (EST)
Received: from blah.blah (ppp287C.dyn.pacific.net.au [61.8.40.124])
	by mailproxy2.pacific.net.au (Postfix) with ESMTP id 2963027444;
	Tue,  8 Jun 2010 11:53:52 +1000 (EST)
Received: from gg by blah.blah with local (Exim 4.71)
	(envelope-from <gg@HIDDEN>)
	id 1OLo0k-0003Bd-4V; Tue, 08 Jun 2010 11:53:50 +1000
From: Kevin Ryde <user42@HIDDEN>
To: Reto Zimmermann <reto@HIDDEN>
Subject: Re: bug#6207: 23.1; align.el vhdl rules setup
References: <871vdayqp6.fsf@HIDDEN> <jwvmxvwsgz4.fsf-monnier+emacs@HIDDEN>
	<4C0505F3.3000304@HIDDEN>
Date: Tue, 08 Jun 2010 11:53:50 +1000
In-Reply-To: <4C0505F3.3000304@HIDDEN> (Reto Zimmermann's message of "Tue, 01
	Jun 2010 15:06:59 +0200")
Message-ID: <87mxv6i91t.fsf@HIDDEN>
User-Agent: Gnus/5.110011 (No Gnus v0.11) Emacs/23.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 6207
Cc: "6207 <at> debbugs.gnu.org" <6207 <at> debbugs.gnu.org>, John Wiegley <johnw@HIDDEN>,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

Reto Zimmermann <reto@HIDDEN> writes:
>
> So the settings in align.el are obsolete and could be removed.

The mechanisms in align.el seem a bit more general.
Should vhdl be using it perhaps with updates to the rules list?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6207; Package emacs. Full text available.

Message received at 6207 <at> debbugs.gnu.org:


Received: (at 6207) by debbugs.gnu.org; 1 Jun 2010 13:21:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 01 09:21:59 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OJRPp-00079G-QB
	for submit <at> debbugs.gnu.org; Tue, 01 Jun 2010 09:21:58 -0400
Received: from us01smtp2.synopsys.com ([198.182.44.80]
	helo=kiruna.synopsys.com) by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <reto@HIDDEN>) id 1OJRBW-00072t-DG
	for 6207 <at> debbugs.gnu.org; Tue, 01 Jun 2010 09:07:11 -0400
Received: from mother.synopsys.com (mother.synopsys.com [146.225.100.171])
	by kiruna.synopsys.com (Postfix) with ESMTP id 06E7010824;
	Tue,  1 Jun 2010 06:07:04 -0700 (PDT)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	by mother.synopsys.com (8.9.1/8.9.1) with ESMTP id GAA27063;
	Tue, 1 Jun 2010 06:07:03 -0700 (PDT)
Message-ID: <4C0505F3.3000304@HIDDEN>
Date: Tue, 01 Jun 2010 15:06:59 +0200
From: Reto Zimmermann <reto@HIDDEN>
User-Agent: Thunderbird 2.0.0.24 (Windows/20100228)
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#6207: 23.1; align.el vhdl rules setup
References: <871vdayqp6.fsf@HIDDEN> <jwvmxvwsgz4.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvmxvwsgz4.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 6207
X-Mailman-Approved-At: Tue, 01 Jun 2010 09:21:55 -0400
Cc: "6207 <at> debbugs.gnu.org" <6207 <at> debbugs.gnu.org>, John Wiegley <johnw@HIDDEN>,
	Kevin Ryde <user42@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

Hi Stefan,

The settings in align.el are not used at all in vhdl-mode.  vhdl-mode has it's own alignment settings and commands, which have evolved since the settings in align.el were defined.  So the settings in align.el are obsolete and could be removed.

Reto


Stefan Monnier wrote:
> Hi Reto,
> 
> What do you think of moving the VHDL settings of align.el to vhdl.el?
> It sounds like The Right Thing to me,
> 
> 
>         Stefan
> 
> 
>> align.el has some setups for vhdl-mode, but the way align.el adds to
>> vhdl-mode-hook means they only take effect in vhdl-mode buffers made
>> after align.el has loaded, whereas I hoped they would be always present.
> 
>> Eg. the foo.vhd below
> 
>>     emacs -Q foo.vhd
>>     M-x end-of-buffer
>>     M-x align
> 
>> does nothing, but
> 
>>     emacs -Q
>>     M-: (require 'align)
>>     C-x C-f foo.vhd
>>     M-x end-of-buffer
>>     M-x align
> 
>> lines up the "signal" and "variable" expressions.
> 
>> I see there's a comment in align.el that its vhdl stuff belongs in
>> vhdl-mode.el.  I suppose that would be the right way to do it.
> 
>> (vhdl-mode has some of its own alignment, the align.el bits are separate
>> and don't interfere as far as I can tell.  From the comments I get the
>> impression align.el came afterwards, or some such.)
> 
> 
>> In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
>>  of 2009-09-14 on raven, modified by Debian
>> configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''
> 
>> Important settings:
>>   value of $LC_ALL: nil
>>   value of $LC_COLLATE: nil
>>   value of $LC_CTYPE: nil
>>   value of $LC_MESSAGES: nil
>>   value of $LC_MONETARY: nil
>>   value of $LC_NUMERIC: nil
>>   value of $LC_TIME: nil
>>   value of $LANG: en_AU
>>   value of $XMODIFIERS: nil
>>   locale-coding-system: iso-latin-1-unix
>>   default-enable-multibyte-characters: t
> 
> 
> 





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6207; Package emacs. Full text available.

Message received at 6207 <at> debbugs.gnu.org:


Received: (at 6207) by debbugs.gnu.org; 19 May 2010 10:17:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 19 06:17:43 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OEgLP-0000rW-Ji
	for submit <at> debbugs.gnu.org; Wed, 19 May 2010 06:17:43 -0400
Received: from mail-px0-f172.google.com ([209.85.212.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jwiegley@HIDDEN>) id 1OEfyn-0000gq-Av
	for 6207 <at> debbugs.gnu.org; Wed, 19 May 2010 05:54:21 -0400
Received: by pxi19 with SMTP id 19so3359342pxi.3
	for <6207 <at> debbugs.gnu.org>; Wed, 19 May 2010 02:54:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:subject:mime-version
	:content-type:from:in-reply-to:date:cc:content-transfer-encoding
	:message-id:references:to:x-mailer;
	bh=6B8CuBnr7SY98Ci7ENK917JP/wpGE7eRa/uGHrVXcMk=;
	b=wePXBdxgB3zNTSOQyl8OEmIHhXwgEBgMinFNxUtscYhbYPK6xr0O4FnVdO1Hc1DMNS
	Lb1r65xwD+e7rhpp4v5mxFIM/UjLGlMTqgxw5anE9Hg1Ouv+DZcGoAqwkWgg7V4NBpJt
	RKscBkaAFXGlYGbm3t2uX/VaaRdyGBrjGdOsk=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=subject:mime-version:content-type:from:in-reply-to:date:cc
	:content-transfer-encoding:message-id:references:to:x-mailer;
	b=Ep5LtZmMl7dOzT4Qj4CDEI/VR43z/a6g4FV7FAo2I93x1niJ6cDgP9s7PPgXIAdSEG
	lDgwRi2gNMqXsedP5oWhaB9vebrxzxhAl27LQZUaDlvbgjKKXiJzwtCTByrVagP0HTCk
	ILcwLDTy/TmxmD7yq5x1qhE3/0ux08Zs/r2zI=
Received: by 10.142.201.12 with SMTP id y12mr6180697wff.174.1274262857773;
	Wed, 19 May 2010 02:54:17 -0700 (PDT)
Received: from [192.168.9.141] (pool-74-105-230-191.nwrknj.fios.verizon.net
	[74.105.230.191])
	by mx.google.com with ESMTPS id 23sm5794712pzk.10.2010.05.19.02.54.14
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Wed, 19 May 2010 02:54:15 -0700 (PDT)
Subject: Re: bug#6207: 23.1; align.el vhdl rules setup
Mime-Version: 1.0 (Apple Message framework v1078)
Content-Type: text/plain; charset=us-ascii
From: John Wiegley <jwiegley@HIDDEN>
In-Reply-To: <jwvmxvwsgz4.fsf-monnier+emacs@HIDDEN>
Date: Wed, 19 May 2010 05:54:11 -0400
Content-Transfer-Encoding: quoted-printable
Message-Id: <91C5D28E-34FA-4ED2-985F-E13CF7C8844B@HIDDEN>
References: <871vdayqp6.fsf@HIDDEN> <jwvmxvwsgz4.fsf-monnier+emacs@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
X-Mailer: Apple Mail (2.1078)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 6207
X-Mailman-Approved-At: Wed, 19 May 2010 06:17:39 -0400
Cc: Reto Zimmermann <reto@HIDDEN>, 6207 <at> debbugs.gnu.org,
	John Wiegley <johnw@HIDDEN>, Kevin Ryde <user42@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On May 18, 2010, at 11:35 PM, Stefan Monnier wrote:

> What do you think of moving the VHDL settings of align.el to vhdl.el?
> It sounds like The Right Thing to me,

This sounds like the right thing to me too.  These settings were made in =
align.el long before it was as established as it is.

John=




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6207; Package emacs. Full text available.

Message received at 6207 <at> debbugs.gnu.org:


Received: (at 6207) by debbugs.gnu.org; 19 May 2010 03:35:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 18 23:35:37 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OEa4G-0006XA-VZ
	for submit <at> debbugs.gnu.org; Tue, 18 May 2010 23:35:37 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1OEa4F-0006X5-3p
	for 6207 <at> debbugs.gnu.org; Tue, 18 May 2010 23:35:35 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAAb58ktMCpz0/2dsb2JhbACeB3K9O4UQBIwv
X-IronPort-AV: E=Sophos;i="4.53,259,1272859200"; d="scan'208";a="64538806"
Received: from 76-10-156-244.dsl.teksavvy.com (HELO alfajor.home)
	([76.10.156.244])
	by ironport2-out.pppoe.ca with ESMTP; 18 May 2010 23:35:31 -0400
Received: by alfajor.home (Postfix, from userid 20848)
	id B90AFAED5D; Tue, 18 May 2010 23:35:30 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Reto Zimmermann <reto@HIDDEN>
Subject: Re: bug#6207: 23.1; align.el vhdl rules setup
Message-ID: <jwvmxvwsgz4.fsf-monnier+emacs@HIDDEN>
References: <871vdayqp6.fsf@HIDDEN>
Date: Tue, 18 May 2010 23:35:30 -0400
In-Reply-To: <871vdayqp6.fsf@HIDDEN> (Kevin Ryde's message of "Tue, 18 May
	2010 10:54:45 +1000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6207
Cc: 6207 <at> debbugs.gnu.org, John Wiegley <johnw@HIDDEN>,
	Kevin Ryde <user42@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.3 (--)

Hi Reto,

What do you think of moving the VHDL settings of align.el to vhdl.el?
It sounds like The Right Thing to me,


        Stefan


> align.el has some setups for vhdl-mode, but the way align.el adds to
> vhdl-mode-hook means they only take effect in vhdl-mode buffers made
> after align.el has loaded, whereas I hoped they would be always present.

> Eg. the foo.vhd below

>     emacs -Q foo.vhd
>     M-x end-of-buffer
>     M-x align

> does nothing, but

>     emacs -Q
>     M-: (require 'align)
>     C-x C-f foo.vhd
>     M-x end-of-buffer
>     M-x align

> lines up the "signal" and "variable" expressions.

> I see there's a comment in align.el that its vhdl stuff belongs in
> vhdl-mode.el.  I suppose that would be the right way to do it.

> (vhdl-mode has some of its own alignment, the align.el bits are separate
> and don't interfere as far as I can tell.  From the comments I get the
> impression align.el came afterwards, or some such.)


> In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
>  of 2009-09-14 on raven, modified by Debian
> configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: en_AU
>   value of $XMODIFIERS: nil
>   locale-coding-system: iso-latin-1-unix
>   default-enable-multibyte-characters: t






Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6207; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 May 2010 00:55:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 20:55:54 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OEB68-00018U-Id
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 20:55:53 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gg@HIDDEN>) id 1OEB66-00018P-Nx
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 20:55:51 -0400
Received: from lists.gnu.org ([199.232.76.165]:53292)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <gg@HIDDEN>) id 1OEB62-0005rV-R2
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 20:55:46 -0400
Received: from [140.186.70.92] (port=41683 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OEB5x-0001Qp-S7
	for bug-gnu-emacs@HIDDEN; Mon, 17 May 2010 20:55:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <gg@HIDDEN>) id 1OEB5s-0001jO-7U
	for bug-gnu-emacs@HIDDEN; Mon, 17 May 2010 20:55:41 -0400
Received: from mailout1-8.pacific.net.au ([61.8.2.215]:47083
	helo=mailout1.pacific.net.au) by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gg@HIDDEN>) id 1OEB5r-0001jD-T0
	for bug-gnu-emacs@HIDDEN; Mon, 17 May 2010 20:55:36 -0400
Received: from mailproxy1.pacific.net.au (mailproxy1.pacific.net.au
	[61.8.2.162])
	by mailout1.pacific.net.au (Postfix) with ESMTP id E91095A0237
	for <bug-gnu-emacs@HIDDEN>; Tue, 18 May 2010 10:55:32 +1000 (EST)
Received: from blah.blah (ppp2D92.dyn.pacific.net.au [61.8.45.146])
	by mailproxy1.pacific.net.au (Postfix) with ESMTP id 8FF2E8C11
	for <bug-gnu-emacs@HIDDEN>; Tue, 18 May 2010 10:55:26 +1000 (EST)
Received: from gg by blah.blah with local (Exim 4.71)
	(envelope-from <gg@HIDDEN>) id 1OEB53-00027h-LI
	for bug-gnu-emacs@HIDDEN; Tue, 18 May 2010 10:54:45 +1000
From: Kevin Ryde <user42@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 23.1; align.el vhdl rules setup
Date: Tue, 18 May 2010 10:54:45 +1000
Message-ID: <871vdayqp6.fsf@HIDDEN>
User-Agent: Gnus/5.110011 (No Gnus v0.11) Emacs/23.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.6 (-----)

align.el has some setups for vhdl-mode, but the way align.el adds to
vhdl-mode-hook means they only take effect in vhdl-mode buffers made
after align.el has loaded, whereas I hoped they would be always present.

Eg. the foo.vhd below

    emacs -Q foo.vhd
    M-x end-of-buffer
    M-x align

does nothing, but

    emacs -Q
    M-: (require 'align)
    C-x C-f foo.vhd
    M-x end-of-buffer
    M-x align

lines up the "signal" and "variable" expressions.

I see there's a comment in align.el that its vhdl stuff belongs in
vhdl-mode.el.  I suppose that would be the right way to do it.

(vhdl-mode has some of its own alignment, the align.el bits are separate
and don't interfere as far as I can tell.  From the comments I get the
impression align.el came afterwards, or some such.)


In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-09-14 on raven, modified by Debian
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default-enable-multibyte-characters: t




Acknowledgement sent to Kevin Ryde <user42@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6207; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.